apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspace
metadata:
  annotations:
    che.eclipse.org/che-editor: che-incubator/che-code/insiders
    che.eclipse.org/devfile-source: |
      factory:
        params: >-
          devWorkspace=https://devspaces.apps.ocp410.crw-qe.com/devfile-registry/devfiles/03_java11-maven-lombok/devworkspace-che-code-insiders.yaml&storageType=per-user&url=https://github.com/devspaces-samples/lombok-project-sample/tree/devspaces-3.3-rhel-8
    che.eclipse.org/last-updated-timestamp: '2022-11-30T04:03:32.684Z'
  resourceVersion: '11455265'
  name: java-lombok
  uid: c3442977-2070-4e5f-99af-0b5c156b12a3
  creationTimestamp: '2022-11-30T04:03:20Z'
  generation: 2
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
          'f:message': {}
          'f:phase': {}
      manager: devworkspace-controller
      operation: Update
      time: '2022-11-30T04:03:20Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/che-editor': {}
            'f:che.eclipse.org/devfile-source': {}
            'f:che.eclipse.org/last-updated-timestamp': {}
        'f:spec':
          .: {}
          'f:routingClass': {}
          'f:started': {}
          'f:template':
            .: {}
            'f:commands': {}
            'f:components': {}
            'f:projects': {}
      manager: unknown
      operation: Update
      time: '2022-11-30T04:03:20Z'
  namespace: admin-devspaces
  labels:
    controller.devfile.io/creator: 2db07f4c-ed71-4044-a590-0d0bd7595124
spec:
  routingClass: che
  started: false
  template:
    commands:
      - exec:
          commandLine: mvn clean install
          component: tools
          group:
            isDefault: true
            kind: build
          workingDir: '${PROJECTS_ROOT}/lombok-project-sample'
        id: build
    components:
      - attributes:
          che-code.eclipse.org/contribute-endpoint/code-redirect-1: 13131
          che-code.eclipse.org/contribute-memoryLimit: true
          che-code.eclipse.org/contribute-endpoint/code-redirect-2: 13132
          che-code.eclipse.org/contribute-cpuRequest: true
          che-code.eclipse.org/contribute-endpoint/code-redirect-3: 13133
          che-code.eclipse.org/original-memoryLimit: 3Gi
          che-code.eclipse.org/contributed-container: tools
          che-code.eclipse.org/contribute-cpuLimit: true
          che-code.eclipse.org/contribute-memoryRequest: true
          che-code.eclipse.org/contribute-endpoint/che-code: 3100
          che-code.eclipse.org/contribute-entry-point: true
          che-code.eclipse.org/contribute-volume-mount/checode: /checode
        container:
          cpuRequest: 30m
          command:
            - /checode/entrypoint-volume.sh
          env:
            - name: CHE_DASHBOARD_URL
              value: 'https://devspaces.apps.ocp410.crw-qe.com'
            - name: CHE_PLUGIN_REGISTRY_URL
              value: 'https://devspaces.apps.ocp410.crw-qe.com/plugin-registry/v3'
            - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
              value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
            - name: OPENVSX_REGISTRY_URL
              value: 'https://open-vsx.org'
          memoryRequest: 256Mi
          sourceMapping: /projects
          cpuLimit: 500m
          volumeMounts:
            - name: m2
              path: /home/user/.m2
            - name: checode
              path: /checode
          memoryLimit: 4Gi
          image: >-
            registry.redhat.io/devspaces/udi-rhel8@sha256:f2ea3a5c0ecdd48f973877305a57bcf6b0a9617cdbef4b37c600d5acfe12b22a
          endpoints:
            - exposure: none
              name: debug
              protocol: tcp
              targetPort: 5005
            - attributes:
                contributed-by: che-code.eclipse.org
                cookiesAuthEnabled: true
                discoverable: false
                type: main
                urlRewriteSupported: true
              exposure: public
              name: che-code
              path: '?tkn=eclipse-che'
              protocol: https
              secure: false
              targetPort: 3100
            - attributes:
                contributed-by: che-code.eclipse.org
                discoverable: false
                urlRewriteSupported: true
              exposure: public
              name: code-redirect-1
              protocol: http
              targetPort: 13131
            - attributes:
                contributed-by: che-code.eclipse.org
                discoverable: false
                urlRewriteSupported: true
              exposure: public
              name: code-redirect-2
              protocol: http
              targetPort: 13132
            - attributes:
                contributed-by: che-code.eclipse.org
                discoverable: false
                urlRewriteSupported: true
              exposure: public
              name: code-redirect-3
              protocol: http
              targetPort: 13133
        name: tools
      - name: m2
        volume:
          size: 1G
      - name: che-code-java-lombok
        plugin:
          kubernetes:
            name: che-code-java-lombok
    projects:
      - name: lombok-project-sample
        zip:
          location: >-
            http://devfile-registry.openshift-devspaces.svc:8080/resources/v2/lombok-project-sample.zip
status:
  conditions:
    - lastTransitionTime: '2022-11-30T04:03:20Z'
      message: Workspace is stopped
      status: 'False'
      type: Started
  devworkspaceId: workspacec344297720704e5f
  message: Stopped
  phase: Stopped
